Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List

Classes | Namespaces | Enumerations | Functions | Variables
vrml97_grammar.h File Reference

VRML97 Spirit grammar and associated parsers. More...

`#include <openvrml/browser.h>`
`#include <boost/spirit/include/classic.hpp>`
`#include <boost/spirit/include/classic_actor.hpp>`
`#include <boost/spirit/include/classic_dynamic.hpp>`
`#include <boost/spirit/include/phoenix1.hpp>`
`#include <boost/test/floating_point_comparison.hpp>`
`#include <stack>`
Include dependency graph for vrml97_grammar.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | openvrml::vrml97_space_parser
| A Spirit space parser appropriate for use with VRML97 and VRML-encoded X3D. More...
struct | openvrml::vrml97_skip_grammar
| A Spirit grammar appropriate for use as a skip parser for VRML97 and VRML-encoded X3D. More...
struct | openvrml::vrml97_parse_error_handler
| A Spirit error handler that emits error and warning messages to a `std::ostream`. More...
struct | openvrml::null_vrml97_parse_actions
| No-op semantic actions for `vrml97_grammar`. More...
struct | openvrml::vrml97_grammar< Actions, ErrorHandler >
| A Spirit grammar for parsing VRML97. More...
struct | openvrml::vrml97_grammar< Actions, ErrorHandler >::definition< ScannerT >
| VRML97 grammar definition. More...

## Namespaces

namespace | openvrml

| The OpenVRML Runtime Library.

## Enumerations

enum

openvrml::vrml_parse_error {
openvrml::dot_expected,
openvrml::lbrace_expected,
openvrml::lbracket_expected,
openvrml::id_expected,
openvrml::to_expected,
openvrml::is_expected,
openvrml::interface_type_or_rbracket_expected,
openvrml::field_type_expected,
openvrml::bool_expected,
openvrml::color_expected,
openvrml::color_or_lbracket_expected,
openvrml::color_or_rbracket_expected,
openvrml::float_expected,
openvrml::float_or_lbracket_expected,
openvrml::float_or_rbracket_expected,
openvrml::int32_expected,
openvrml::int32_or_lbracket_expected,
openvrml::int32_or_rbracket_expected,
openvrml::rotation_expected,
openvrml::rotation_or_lbracket_expected,
openvrml::rotation_or_rbracket_expected,
openvrml::string_expected,
openvrml::string_or_lbracket_expected,
openvrml::string_or_rbracket_expected,
openvrml::vec2_expected,
openvrml::vec2_or_lbracket_expected,
openvrml::vec2_or_rbracket_expected,
openvrml::vec3_expected,
openvrml::vec3_or_lbracket_expected,
openvrml::vec3_or_rbracket_expected,
openvrml::node_expected,
openvrml::node_or_lbracket_expected,
openvrml::node_or_rbracket_expected,
openvrml::interface_collision,
openvrml::unknown_node_type_id
}

| Identifiers used to designate parse error conditions. More...

## Functions

const char * | openvrml::vrml97_parse_error_msg (const vrml_parse_error error)
| Get the error message associated with a `vrml_parse_error`.

## Variables

const vrml97_space_parser | openvrml::vrml97_space_p = vrml97_space_parser()
| A Spirit space parser appropriate for use with VRML97 and VRML-encoded X3D.

## Detailed Description

VRML97 Spirit grammar and associated parsers.